Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.sql
Class QSqlResult.BindingSyntax

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.sql.QSqlResult.BindingSyntax

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QSqlResult

    public static final class QSqlResult.BindingSyntax

extends java.lang.Enum
implements QtEnumerator

This enum type specifies the different syntaxes for specifying placeholders in prepared queries.

See also:
  `bindingSyntax()`.

See Also:
  Serialized Form

Field Summary
`static QSqlResult.BindingSyntax` | `NamedBinding` Use the Oracle-style syntax with named placeholders (e.g., ":id")
`static QSqlResult.BindingSyntax` | `PositionalBinding` Use the ODBC-style positional syntax, with "?" as placeholders.

Method Summary
`static QSqlResult.BindingSyntax` | `resolve(int value)` Returns the BindingSyntax constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QSqlResult.BindingSyntax` | `valueOf(java.lang.String name)`
`static QSqlResult.BindingSyntax[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### PositionalBinding

    public static final QSqlResult.BindingSyntax PositionalBinding

  Use the ODBC-style positional syntax, with "?" as placeholders.

### NamedBinding

    public static final QSqlResult.BindingSyntax NamedBinding

  Use the Oracle-style syntax with named placeholders (e.g., ":id")

Method Detail

### values

    public static QSqlResult.BindingSyntax[] values()

### valueOf

    public static QSqlResult.BindingSyntax valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QSqlResult.BindingSyntax resolve(int value)

  Returns the BindingSyntax constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD